> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Accounts Details

> Get accounts details.



## OpenAPI

````yaml get /account/account-details
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /account/account-details:
    get:
      tags:
        - Account
      summary: Get Accounts Details
      description: Get accounts details.
      operationId: get-account-account-details
      parameters:
        - description: ''
          in: query
          name: accountName
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: perPage
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: page
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    accounts:
                      - Banks:
                          KE:
                            mobile_network: Safaricom
                            shortcode: '0805439865'
                            status: ACTIVE
                          NG:
                            account_name: TEST-MANAGED-ACCOUNT
                            account_number: '1238271618'
                            bank_code: ''
                            bank_name: Test Bank
                            currency: NGN
                            mobile_network: ''
                            shortcode: ''
                            status: ''
                        KYCs:
                          KE:
                            mobile_network: Safaricom
                            shortcode: '0805439865'
                            status: verified
                          NG:
                            address_line_1: ''
                            address_line_2: ''
                            dob: '2002-09-01'
                            first_name: rahman
                            last_name: rahman
                            lga_of_residence: ''
                            middle_name: rahman
                            mobile_network: ''
                            shortcode: ''
                            state_of_residence: ''
                            status: verified
                        createdAt: 1755873600
                        email: ''
                        externalRef: chang
                      - Banks:
                          NG:
                            account_name: Madilyn Lakin II
                            account_number: '9640426250'
                            bank_code: '242'
                            bank_name: Maplerad
                            currency: NGN
                            mobile_network: ''
                            shortcode: ''
                            status: ''
                        KYCs:
                          NG:
                            address_line_1: ''
                            address_line_2: ''
                            dob: '1999-01-01'
                            first_name: Samuel
                            last_name: Olamide
                            lga_of_residence: ''
                            middle_name: Nomo
                            mobile_network: ''
                            shortcode: ''
                            state_of_residence: ''
                            status: ''
                        createdAt: 1755873600
                        email: ''
                        externalRef: changuser1
                    page: 1
                    perPage: 10
                    totalPages: 1
                  message: success
                properties:
                  data:
                    properties:
                      accounts:
                        items:
                          properties:
                            Banks:
                              properties:
                                KE:
                                  properties:
                                    mobile_network:
                                      type: string
                                    shortcode:
                                      type: string
                                    status:
                                      type: string
                                  type: object
                                NG:
                                  properties:
                                    account_name:
                                      type: string
                                    account_number:
                                      type: string
                                    bank_code:
                                      type: string
                                    bank_name:
                                      type: string
                                    currency:
                                      type: string
                                    mobile_network:
                                      type: string
                                    shortcode:
                                      type: string
                                    status:
                                      type: string
                                  type: object
                              type: object
                            KYCs:
                              properties:
                                KE:
                                  properties:
                                    mobile_network:
                                      type: string
                                    shortcode:
                                      type: string
                                    status:
                                      type: string
                                  type: object
                                NG:
                                  properties:
                                    address_line_1:
                                      type: string
                                    address_line_2:
                                      type: string
                                    dob:
                                      type: string
                                    first_name:
                                      type: string
                                    last_name:
                                      type: string
                                    lga_of_residence:
                                      type: string
                                    middle_name:
                                      type: string
                                    mobile_network:
                                      type: string
                                    shortcode:
                                      type: string
                                    state_of_residence:
                                      type: string
                                    status:
                                      type: string
                                  type: object
                              type: object
                            createdAt:
                              type: number
                            email:
                              type: string
                            externalRef:
                              type: string
                          type: object
                        type: array
                      page:
                        type: number
                      perPage:
                        type: number
                      totalPages:
                        type: number
                    type: object
                  message:
                    type: string
                type: object
          description: get account account details ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````